package com.seer.teach.user.app.auth.service;

import com.seer.teach.user.app.auth.LoginType;
import com.seer.teach.user.app.auth.request.LoginParam;

public interface LoginStrategy {

    LoginType getType();

    /**
     * 登录策略接口
     *
     * @param request
     * @return
     */
    LoginUser authenticate(LoginParam request);
}
